Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 558374 - Review Request: nips-promela-compiler - Compile Promela into NIPS VM for state-based model checking
Summary: Review Request: nips-promela-compiler - Compile Promela into NIPS VM for stat...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-01-25 03:19 UTC by David A. Wheeler
Modified: 2010-11-14 17:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-14 17:21:02 UTC


Attachments (Terms of Use)

Description David A. Wheeler 2010-01-25 03:19:58 UTC
Spec URL: http://www.dwheeler.com/nips-promela-compiler.spec
SRPM URL: http://www.dwheeler.com/nips-promela-compiler-1.2.5-2.fc12.src.rpm
Description:
The New Implementation of Promela Semantics (NIPS) compiler
accepts models defined in the Promela modeling language
(which defines state spaces) and translates them into the
NIPS virtual machine (NIPS VM) format.  The Promela language was
originally defined for the SPIN tool.

The installed compiler is named nips_c, not CodeGen
("CodeGen" is a generic name easily confused with other code generators).

You can use nips_vm or DiVinE to analyze the compiled models.

========================================


rpmlint reports 0 errors, 0 warnings, on a Fedora 12 x86_64:
$ cd ~/rpmlint/SPECS
$ rpmlint nips-promela-compiler.spec ../SRPMS/nips-promela-compiler-1.2.5-2.fc12.src.rpm ../RPMS/x86_64/nips-promela-compiler-1.2.5-2.fc12.x86_64.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.


NOTE: This depends on sablecc, which isn't currently in the Fedora repository.  I believe there's no license problem with it (LGPL), but I'm trying to get someone else to put that into Fedora.  To test it for now, install the JPackage version.  You can get that here:
http://mirrors.dotsrc.org/jpackage/5.0/generic/free/SRPMS/sablecc-3.2-2.jpp5.src.rpm

You can use mock to test its BuildRequires, but it's trickier to do this when there's a package not in the Fedora repository.  Here's how I did it:
mock -r fedora-12-x86_64 --init
mock -r fedora-12-x86_64 --install java-gcj-compat-devel java-gcj-compat java-devel ant jpackage-utils dtdparser jdom junit java-1.6.0-openjdk
mock  -r fedora-12-x86_64 --copyin ~/rpmbuild/RPMS/noarch/sablecc-3.2-2.fc12.noarch.rpm /tmp
mock  -r fedora-12-x86_64 --copyin ~/rpmbuild/SRPMS/nips-promela-compiler-1.2.5-2.fc12.src.rpm /tmp
mock  -r fedora-12-x86_64 --shell
# Now in the shell:
cd
rpm -i /tmp/sablecc*
rpmbuild
rpmbuild --rebuild /tmp/nips-promela*


I'm packaging this because it's a prerequisite for "DiVinE"'s ability to read Promela (SPIN) files.

Comment 1 Lubomir Rintel 2010-04-09 10:01:41 UTC
So, what's the progress with this? Can't be really ready for review without sablecc.

Comment 2 Jason Tibbitts 2010-11-14 17:21:02 UTC
No response in ages; I'm just going to close this.  There's really no point in submitting something for review that can't even be built anyway.


Note You need to log in before you can comment on or make changes to this bug.